# Retrieve a data backfill job Returns a single Data Backfill job Endpoint: GET /v1/uno/data-backfill/jobs/{jobId} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `jobId` (string, required) ID of the job to retrieve ## Response 200 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. - `job` (object) - `job.id` (string) Job ID - `job.importType` (string) The data backfill job type Enum: "ProductRatePlanCharge", "RatePlanCharge", "InvoiceDetail", "MemoDetail", "InvoiceItemAdjustment" - `job.uploadedFileId` (string) ID of the uploaded file - `job.uploadedFileName` (string) Name of the uploaded file - `job.uploadedFileUrl` (string) URL of the uploaded file. You can download the uploaded file via this url. - `job.uploadedFileSize` (string) Size of the uploaded file - `job.inputFileSize` (integer) Size of the uploaded file, in the int64 format - `job.outputSize` (string) Size of the output file. - `job.outputType` (string) Type of the output file. - `job.outputFileSize` (integer) Size of the output file, in the int64 format. - `job.resultFileId` (string) ID of the output result file that you can download when a data backfill job is completed. - `job.resultFileName` (string) Name of the result file that you can download when a data backfill job is completed - `job.resultFileUrl` (string) URL of the result file that you can download when a data backfill job is completed. You can download the result file via this URL. In the result file, you can see the data that you uploaded and the result for each record in the Success column of the file. For the record that fails to be updated, you can see the reason for failure in the Error Message column of the file. - `job.uploadedBy` (string) The user who uploads the file - `job.uploadedOn` (string) The date and time when the file is uploaded - `job.completedOn` (string) The date and time when the data backfill action is completed - `job.startedProcessingOn` (string) The date and time when the data backfill action is started - `job.totalCount` (integer) The total count of the data records to backfill - `job.failedCount` (integer) The count of the data records that failed to be backfilled - `job.status` (string) The status of the data backfill job Enum: "Pending", "Processing", "Completed", "Canceled", "Failed", "Stopping", "Stopped" - `job.failureMessage` (string) Message for the failure - `job.processedCount` (integer) The count of the data records that are being processed - `job.successCount` (integer) The count of the data records that are successfully backfilled - `job.remainingTime` (integer) The remaining time for the data backfill job, in the int64 format - `job.remainingTimeText` (string) The remaining time for the data backfill job, in the text format - `job.completedPercentage` (integer) The percentage of the completed data records ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.